Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::distance_compare_fn Struct Reference
Iterator
Inheritance diagram for ranges::distance_compare_fn:

## Public Member Functions
template<typename Rng >
int | operator() (Rng &&rng, range_difference_t< Rng > n) const
Public Member Functions inherited from ranges::iter_distance_compare_fn
template<typename I , typename S >
constexpr int | operator() (I first, S last, iter_difference_t< I > n) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

int ranges::distance_compare_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | n
| ) |  | const

Precondition
  requires `range<Rng>`